---
title: "Deposit"
source_url: https://docs.rapyd.net/en/deposit.html
lang: en
---

# Deposit

Deposit funds into a Rapyd Wallet.

The Point-of-Sale location uses this method when the customer deposits money into the customer’s own wallet.

After you use this method, you must call the [Close Session](https://docs.rapyd.net/en/close-session.md "Close Session") method to complete the process.

The wallet is specified in the `phone_number` field of the header. The `currency_code` determines which wallet account receives the funds. If there is no account defined for that currency, a new account is created with the specified amount.

> **Note:**
>
> The base URL for the POS production environment is **https://pos.rapyd.net**. It requires its own access key, which is different from the access key for the Payment API. To obtain an access key for the POS production environment and to set up a sandbox environment for the POS API, contact **[Rapyd Client Support](https://support.rapyd.net)**.

### Parameters

### Request Path Parameters

- - amount
  - Amount of the deposit. Decimal.
- - currency
  - Three-letter ISO 4217 code for the currency used in the `amount` field. Uppercase.

### Request Header Parameters

- - access_key
  - Unique access key provided by Rapyd for each authorized user.

    See [Developers](https://docs.rapyd.net/en/developers.md "Developers").
- - Content-Type
  - Indicates that the data appears in JSON format. Set to **application/json**.
- - operation_id
  - Operation ID received from [Open Session](https://docs.rapyd.net/en/open-session.md "Open Session").
- - phone_number
  - Phone number of the Rapyd wallet in E.164 format.
- - token_id
  - Token ID received from [Open Session](https://docs.rapyd.net/en/open-session.md "Open Session").

### Request Body Parameters

- - metadata
  - A JSON object defined by the client.

### Response Parameters

None.

- /v1/pos/deposit/{amount}/{currency}

- Deposit
- ```curl
  curl -X post
  https://sandboxpos.rapyd.net/v1/pos/deposit/150.99/USD
  -H 'access_key: your-access-key-here'
  -H 'Content-Type: application/json'
  -H 'idempotency: your-idempotency-parameter-here'
  -H 'salt: your-random-string-here'
  -H 'signature: your-calculated-signature-here'
  -H 'timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "0",
          "status": "SUCCESS",
          "message": "",
          "operation_id": "02be1a2c-2f26-42e1-b09f-f22f0f82812d"
      },
      "data": {
          "transaction_id": "4574d870-c391-11e7-9273-0ef1982c1e4a",
          "metadata": {}
      }
  }
  ```
